Skip to content
Start here

Create app

client.Flagship.Apps.New(ctx, params) (*AppNewResponse, error)
POST/accounts/{account_id}/flagship/apps

Creates an app. The returned id is used in all subsequent flag, changelog, and evaluation requests.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Flagship Write
ParametersExpand Collapse
params AppNewParams
AccountID param.Field[string]

Path param: Cloudflare account ID.

Name param.Field[string]

Body param

maxLength64
minLength1
ReturnsExpand Collapse
type AppNewResponse struct{…}
ID string
CreatedAt string
Name string
UpdatedAt string
UpdatedBy string

Email of the actor who last modified the app, or edge-gateway for gateway-authenticated changes.

Create app

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/flagship"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  app, err := client.Flagship.Apps.New(context.TODO(), flagship.AppNewParams{
    AccountID: cloudflare.F("account_id"),
    Name: cloudflare.F("x"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", app.ID)
}
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "created_at": "created_at",
    "name": "name",
    "updated_at": "updated_at",
    "updated_by": "updated_by"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "created_at": "created_at",
    "name": "name",
    "updated_at": "updated_at",
    "updated_by": "updated_by"
  },
  "success": true
}